# -*- coding: utf-8 -*-
import scrapy

from crawler.items import TistoryFileItem

class TistorySpider(scrapy.Spider):
    name = 'tistory'
    allowed_domains = [ 'heodolf.tistory.com' ]
    custom_settings= {
        'ITEM_PIPELINES': {
            'crawler.pipelines.TistoryFilePipeline': 100,
        }
    }

    def __init__(self):
        self.start_urls = [
            'https://heodolf.tistory.com/18'
        ]

    def start_requests(self):
        for url in self.start_urls:
            yield scrapy.Request( url=url, dont_filter=False, method='GET' )

    def parse(self, response):
        from pprint import pprint

        contents = response.xpath('//figure[contains(@class,"imageblock")]//img/@src|//figure[contains(@class,"fileblock")]//a/@href')

        file_urls = []
        for content in contents:
            src = content.extract()
            if src:
                file_urls.append( src.strip() )

        item = TistoryFileItem()
        item['file_urls'] = file_urls
        
        yield item
